var fakeIndexedDB = require('fake-indexeddb');
var FDBKeyRange = require('fake-indexeddb/lib/FDBKeyRange');

var request = fakeIndexedDB.open('test', 3);
request.onupgradeneeded = function () {
    var db = request.result;
    var store = db.createObjectStore("books", {keyPath: ["author","isbn"]});
    store.createIndex("by_title", "title", {unique: true});

    store.put({title: "Quarry Memories", author: "Fred", isbn: 123456});
    store.put({title: "Water Buffaloes", author: "Fred", isbn: 234567});
    store.put({title: "Bedrock Nights", author: "Barney", isbn: 345678});
};
request.onsuccess = function (event) {
    var db = event.target.result;

    var tx = db.transaction("books", "readwrite");
    tx.objectStore("books").openCursor(["Fred", 123456]).onsuccess = function (event) {
      var cursor = event.target.result;
      console.log("From cursor:", cursor.value);
      var clonedValue = JSON.parse(JSON.stringify(cursor.value));
      clonedValue.price = 5.99;
      cursor.update(clonedValue);
    };

    tx.oncomplete = function () {
        console.log('All done!');
    };
};
